[arch-commits] Commit in gnucash/repos (3 files)

Felix Yan felixonmars at archlinux.org
Fri Sep 13 10:00:31 UTC 2019


    Date: Friday, September 13, 2019 @ 10:00:29
  Author: felixonmars
Revision: 510113

archrelease: copy trunk to community-staging-x86_64

Added:
  gnucash/repos/community-staging-x86_64/
  gnucash/repos/community-staging-x86_64/Fix-CMakeLists-error.patch
    (from rev 510112, gnucash/trunk/Fix-CMakeLists-error.patch)
  gnucash/repos/community-staging-x86_64/PKGBUILD
    (from rev 510112, gnucash/trunk/PKGBUILD)

----------------------------+
 Fix-CMakeLists-error.patch |   20 +++++++++++++++
 PKGBUILD                   |   56 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

Copied: gnucash/repos/community-staging-x86_64/Fix-CMakeLists-error.patch (from rev 510112, gnucash/trunk/Fix-CMakeLists-error.patch)
===================================================================
--- community-staging-x86_64/Fix-CMakeLists-error.patch	                        (rev 0)
+++ community-staging-x86_64/Fix-CMakeLists-error.patch	2019-09-13 10:00:29 UTC (rev 510113)
@@ -0,0 +1,20 @@
+From ce6c3c22a15102341ca41ddba2a46ea7daf63f17 Mon Sep 17 00:00:00 2001
+From: Christopher Lam <christopher.lck at gmail.com>
+Date: Sat, 20 Jul 2019 20:32:07 +0800
+Subject: [PATCH] Fix CMakeLists error
+
+need to include module
+---
+ gnucash/register/register-gnome/CMakeLists.txt | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/gnucash/register/register-gnome/CMakeLists.txt b/gnucash/register/register-gnome/CMakeLists.txt
+index acfdd89f38..f3527484ba 100644
+--- a/gnucash/register/register-gnome/CMakeLists.txt
++++ b/gnucash/register/register-gnome/CMakeLists.txt
+@@ -1,4 +1,5 @@
+ add_subdirectory(test)
++include(CheckSymbolExists)
+ 
+ #GTK before 3.14 didn't have GDK_MODIFIER_INTENT_DEFAULT_MOD_MASK
+ check_symbol_exists(GDK_MODIFIER_INTENT_DEFAULT_MOD_MASK gdk/gdktypes.h have_mod_mask)

Copied: gnucash/repos/community-staging-x86_64/PKGBUILD (from rev 510112, gnucash/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2019-09-13 10:00:29 UTC (rev 510113)
@@ -0,0 +1,56 @@
+# Maintainer: Balló György <ballogyor+arch at gmail dot com>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+# Contributor: Mark Schneider <queueRAM at gmail.com>
+
+pkgname=gnucash
+pkgver=3.6
+pkgrel=2
+pkgdesc='Personal and small-business financial-accounting application'
+arch=(x86_64)
+url='https://gnucash.org/'
+license=(GPL)
+depends=(aqbanking boost-libs guile libdbi webkit2gtk)
+makedepends=(boost cmake gmock libdbi-drivers mariadb-libs postgresql-libs)
+optdepends=('gnucash-docs: documentation'
+            'libdbi-drivers: open and save data into SQL database'
+            'perl-date-manip: stock information lookups'
+            'perl-finance-quote: stock information lookups')
+options=(!emptydirs)
+source=(https://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+        Fix-CMakeLists-error.patch)
+sha256sums=('3ac6627834bb163653eccf4873dabe2adf4d6feb40e0d9f6f6f4d8d91a321677'
+            '1161e9b7e972eaf881376841ec7fbaa68e97d23da6b7694298040ddb721435ac')
+
+prepare() {
+  cd $pkgname-$pkgver
+  patch -Np1 -i ../Fix-CMakeLists-error.patch
+}
+
+build() {
+  cd $pkgname-$pkgver
+
+  # Do not treat warnings as errors
+  sed -e 's|-Werror||g' -i CMakeLists.txt
+
+  cmake	-DCMAKE_INSTALL_PREFIX=/usr \
+        -DCMAKE_INSTALL_LIBDIR=/usr/lib \
+        -DWITH_PYTHON=ON \
+        -DHAVE_GWEN_GTK3=ON \
+        -DCOMPILE_GSCHEMAS=OFF
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make -k check || : # 2 tests failed
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+
+  # Delete the gnucash-valgrind executable because the source files
+  # are not included with the package and the executable is hardlinked
+  # to the location that it was built at.
+  rm -f "$pkgdir/usr/bin/gnucash-valgrind"
+}



More information about the arch-commits mailing list